package main

import (
	"fmt"
	"log"
	"server/initialize"
	"server/logger"
	"server/router"
	"server/work"
)

func main() {
	initRouter := router.InitRouter()

	logPath := "./logs/app.log"
	if err := logger.Initialize(logPath); err != nil {
		log.Fatalf("Failed to initialize logger: %v", err)
	}

	// 使用全局 Logger
	logger.Get().Info("Application started.")

	work.MyJob()
	initialize.InitInductanceTCP()
	err := initRouter.Run(":8222")
	if err != nil {
		fmt.Println("服务器启动失败！")
	}
}
